io.milvus.bulkwriter.common.clientenum

## Enum TypeSize

- java.lang.Object
- - java.lang.Enum<TypeSize>
  - - io.milvus.bulkwriter.common.clientenum.TypeSize

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TypeSize>

    public enum TypeSize
    extends java.lang.Enum<TypeSize>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOL`
`DOUBLE`
`FLOAT`
`INT16`
`INT32`
`INT64`
`INT8`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `contains(io.milvus.grpc.DataType dataType)`
`static java.lang.Integer` `getSize(io.milvus.grpc.DataType dataType)`
`static TypeSize` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TypeSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOL

    public static final TypeSize BOOL

#### INT8

    public static final TypeSize INT8

#### INT16

    public static final TypeSize INT16

#### INT32

    public static final TypeSize INT32

#### INT64

    public static final TypeSize INT64

#### FLOAT

    public static final TypeSize FLOAT

#### DOUBLE

    public static final TypeSize DOUBLE

### Method Detail

#### values

    public static TypeSize[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TypeSize c : TypeSize.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TypeSize valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### contains

    public static boolean contains(io.milvus.grpc.DataType dataType)

#### getSize

    public static java.lang.Integer getSize(io.milvus.grpc.DataType dataType)